> For the complete documentation index, see [llms.txt](https://developer.esw.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.esw.com/returns-api/returns-api-2.0/methods/retrieve-a-single-return-order.md).

# Retrieve A Single Return Order

To retrieve a single return order, use the `GetReturnOrder` method and send a `GET` request to `/api/v2/Returns`.

<details>

<summary>Required Parameters</summary>

| **Parameter**       | **Type** | **Description**                                                                                    |
| ------------------- | -------- | -------------------------------------------------------------------------------------------------- |
| brandCode           | String   | <p>ESW’s unique identifier for the retailer.</p><p>Example: <code>GOC</code></p>                   |
| brandOrderReference | String   | <p>The retailer's reference number for the order.</p><p>Example: <code>123456789</code></p>        |
| emailAddress        | String   | <p>The email address of the shopper.</p><p>Example: <code><johnsmith@example.com></code></p>       |
| returnOrderNumber   | String   | <p>The return order number generated in the ESW system.</p><p>Example: <code>2123456789</code></p> |

</details>

<details>

<summary>Optional Parameters</summary>

| **Parameter**      | **Type** | **Description**                                                                                  |
| ------------------ | -------- | ------------------------------------------------------------------------------------------------ |
| requestUpdateLabel | Boolean  | Indicates if an updated label should be returned in the response. Values are `true` and `false`. |
| requestCreateLabel | Boolean  | Indicates if a create label should be returned in the response. Values are `true` and `false`.   |

</details>

### Response <a href="#response" id="response"></a>

When you send the API request, the system validates these parameters and searches for the return order in the ESW database.

<details>

<summary><strong>HTTP Response Status</strong></summary>

| **Response Code**     | **Description**                                                                                                                                                          |
| --------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| **200 - OK**          | Indicates that the validation is successful and the system is able to find the return order in the database. Detailed order information is returned in the API response. |
| **400 - Bad Request** | Indicates that validation failed due to missing parameters.                                                                                                              |
| **404 - Not Found**   | Indicates that the system is unable to locate the return order in the ESW database.                                                                                      |

</details>

### Request Example <a href="#request-example" id="request-example"></a>

The following example shows how to get a single return order from the database.

`/api/v2/Returns?brandCode=ABC&brandOrderReference=123456789&emailAddress=janedoe@example.com&returnOrderNumber=2123456789&requestUpdateLabel=true&requestCreateLabel=false`

<details>

<summary>Response Example</summary>

{% code expandable="true" %}

```json
{
  "responseMessage": "1",
  "returnOrder": {
    "returnOrderNumber": "2123456789",
    "returnCarrierReference": "123ABC1234567",
    "brandOrderReference": "123456789",
    "eshopOrderReference": "1122334455",
    "creationTime": "2018-08-15T09:15:42.615Z",
    "returnOrderType": "ReturnsPortalReturnNormal",
    "returnOrderStatus": "None",
    "returnOrderStatusTime": "2018-08-15T09:15:42.615Z",
    "createReturnLabel": "",
    "updateReturnLabel": "",
    "refundFailedReason": "",
    "refundOrderRefund": {
      "currencyIso": "EUR",
      "total": 12.34,
      "merchandise": 12.34,
      "shipping": 12.34,
      "duty": 12.34,
      "tax": 12.34,
      "returnFee": 0,
      "refundStatus": "Pending"
    },
    "returnOrderArticles": [
      {
        "productCode": "123456",
        "productDescription": "Sweatshirt",
        "price": 12.34,
        "currencyIso": "EUR",
        "itemAccepted": true,
        "prohibitedForExportItem": true,
        "returnReason": "WrongItemShipped",
        "processReason": "Accepted",
        "returnOrderArticleRefund": {
          "refundType": "StandardFullOrderCancel",
          "total": 12.34,
          "merchandise": 12.34,
          "shipping": 12.34,
          "duty": 12.34,
          "tax": 12.34
        }
      }
    ]
  },
  "responseCode": "1"
}
```

{% endcode %}

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.esw.com/returns-api/returns-api-2.0/methods/retrieve-a-single-return-order.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
